Subject: Re: bug#73046: 29.4; Emacs 100% CPU usage for several seconds when opening dired buffer over TRAMP

From: Jake Nelson <[email-masked]>
Date: Fri, 20 Sep 2024 13:11:49 -0400

I ran emacs -Q and the issue did not occur.  Apologies for not checking
with -Q that prior to reporting the issue.

Thank you,
Jake

On Fri, Sep 20 2024, Michael Albinus <[email-masked]> wrote:

> Michael Albinus <[email-masked]> writes:
>
> Hi Jake,
>
>>> I had to revert 652a8a0838b38a6eab85c55fc61cedd1c61ef20f
>>>
>>> I could load a remote file with via tramp, but attempting to edit the
>>> file spiked to 100% cpu usage and I had to C-g to recover.
>>
>> Could you, pls, reenable 652a8a0838b38a6eab85c55fc61cedd1c61ef20f
>> temporarily? Then recompile Emacs, and run
>>
>> # emacs -Q -l tramp --eval '(setq tramp-verbose 10)' /ssh:some-host:/etc/somedir/file.yaml
>>
>> Try to edit the file. When the problem appears, return control by
>> C-g. Show the resulting *debug tramp/ssh some-host* buffer. Likely, it
>> is large; you could send it to me directly.
>
> Ping. Could you, pls, provide the needed information? Otherwise, we
> cannot do anything for you.
>
>>> Thanks,
>>> Jake
>
> Best regards, Michael.